Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Latest Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26228

Description

When labels are applied to MSSQL linked point database, only a few random points are labelled.  When the layer is exported as SHP,

then added to layer collection and labelled the same way, all points are labelled.

History

#1 - 2018-03-05 03:14 PM - Josh Knight

Added info: Only one point is labelled in any view.

#2 - 2018-03-06 11:36 AM - Giovanni Manghi

- Category changed from Labelling to Data Provider/MSSQL

#3 - 2018-03-08 03:01 AM - Josh Knight

- Status changed from Open to Closed

Discovered the cause of this was the lack of a unique integer column in the table, which I learned about from #12924.  I'm not sure if I missed this in the

documentation or if it is not mentioned.

#4 - 2018-03-08 08:53 AM - Giovanni Manghi

- Resolution set to invalid
